# Type Alias WorkflowStepCfg

type WorkflowStepCfg = {
action_name: string;
configuration: any;
id?: number;
initial_step: boolean;
name: string;
next_step?: string;
only_if?: string;
trigger_id: number;
}

- Defined in model-abstracts/abstract_workflow_step.ts:1

##### Index

### Properties

action_name
configuration
id?
initial_step
name
next_step?
only_if?
trigger_id

## Properties

### action_name

action_name: string

- Defined in model-abstracts/abstract_workflow_step.ts:7

### configuration

configuration: any

- Defined in model-abstracts/abstract_workflow_step.ts:9

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_workflow_step.ts:2

### initial_step

initial_step: boolean

- Defined in model-abstracts/abstract_workflow_step.ts:8

### name

name: string

- Defined in model-abstracts/abstract_workflow_step.ts:3

### `Optional` next_step

next_step?: string

- Defined in model-abstracts/abstract_workflow_step.ts:5

### `Optional` only_if

only_if?: string

- Defined in model-abstracts/abstract_workflow_step.ts:6

### trigger_id

trigger_id: number

- Defined in model-abstracts/abstract_workflow_step.ts:4